Apply an accessibility fix to MJML
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/accessibility/fix"
payload := strings.NewReader("{ \"from\": \"example\", \"headings\": [ { \"from\": 1, \"index\": 1, \"path\": [ 1 ], \"text\": \"example\", \"to\": 1 } ], \"index\": 1, \"kind\": \"alt_text\", \"mjml\": \"example\", \"path\": [ 1 ], \"role\": \"p\", \"target\": \"background\", \"toPx\": 1, \"value\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/accessibility/fix';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"from":"example","headings":[{"from":1,"index":1,"path":[1],"text":"example","to":1}],"index":1,"kind":"alt_text","mjml":"example","path":[1],"role":"p","target":"background","toPx":1,"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/accessibility/fix \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "from": "example", "headings": [ { "from": 1, "index": 1, "path": [ 1 ], "text": "example", "to": 1 } ], "index": 1, "kind": "alt_text", "mjml": "example", "path": [ 1 ], "role": "p", "target": "background", "toPx": 1, "value": "example" }'Permission: campaigns:edit
The composer’s fixes: alt text, decorative images, link text, a color, heading levels, a text size, and a Text block’s role. Returns the changed MJML; nothing is saved, the composer’s autosave stores it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
The nth heading of the text block, from 0
Responses
Section titled “Responses”OK
object
Example generated
{ "mjml": "example"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}